### Method

# RB DisplayPageTree edit_source_name

#### Declaration [src]

    void
    rb_display_page_tree_edit_source_name (
      RBDisplayPageTree* display_page_tree,
      RBSource* source
    )

#### Description [src]

Initiates editing of the name of the specified source. The row for the source is selected and given input focus, allowing the user to edit the name. source_name_edited_cb is called when the user finishes editing.

#### Parameters

`source`

  Type: `RBSource`

  The `RBSource` to edit.

  The data is owned by the caller of the method.